<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-vendor-contract-heading">Create or edit a Vendor Contract</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_name">Name</label>
                    <input type="text" class="form-control" name="name" id="field_name"
                           formControlName="name"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_vendorId">Vendor Id</label>
                    <input type="text" class="form-control" name="vendorId" id="field_vendorId"
                           formControlName="vendorId"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_vendorContractStartDate">Vendor Contract Start Date</label>
                    <input type="text" class="form-control" name="vendorContractStartDate" id="field_vendorContractStartDate"
                           formControlName="vendorContractStartDate"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_vendorContractEndDate">Vendor Contract End Date</label>
                    <input type="text" class="form-control" name="vendorContractEndDate" id="field_vendorContractEndDate"
                           formControlName="vendorContractEndDate"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_vendorContractFile">Vendor Contract File</label>
                    <input type="text" class="form-control" name="vendorContractFile" id="field_vendorContractFile"
                           formControlName="vendorContractFile"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_remark">Remark</label>
                    <input type="text" class="form-control" name="remark" id="field_remark"
                           formControlName="remark"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_status">Status</label>
                    <input type="text" class="form-control" name="status" id="field_status"
                           formControlName="status"/>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
